/*!
 * iparapheur Web
 * Copyright (C) 2019-2025 Libriciel SCOP
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

.custom-table-container {
  margin-top: 0.3rem;
  margin-bottom: 0.3rem;
}

.custom-row > div {
  padding: 0.3rem 0.5rem;
  -ms-flex-item-align: center !important;
  align-self: center !important
}

.drag-handle-column {
  width: 2.5rem;
}

.tiny-column {
  width: 5rem;
  min-width: 5rem;
}

.large-column {
  width: 11rem;
}

.value-column {
  width: 15rem;
  max-width: 15rem;
}

.select-value-container {
  overflow-x: clip;
}

.restricted-values-container-boundary {
  // Nothing to set here.
  // We just need a declared class for the `cdkDragBoundary` element
}

.cdk-drag-placeholder {
  opacity: 0;
}

.cdk-overlay-container {
  opacity: 0;
}

.cdk-drag-animating {
  transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
}

.cdk-drop-list-dragging :not(.cdk-drag-placeholder) {
  transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
}

.large-tooltip {

  ::ng-deep .tooltip-inner {
    min-width: 34rem;
    max-width: 34rem;
    width: 34rem;
  }

}
